API Guide Home (Online version only) |

# PalmNetServices.h File Reference

## Detailed Description

NetServices provides a set of API to access 802.11.

Version:
  1.0

Definition in file PalmNetServices.h.

Go to the source code of this file.

## Data Structures

- struct Net80211DeviceInfo
    Device information concerning Hardware and Firmware information for the "adapter". More...
- struct NetServicesProfileInfo
    Data returned from NetServicesProfileGetInfo. More...
- struct NetServicesProfile
    Profile entries for SmartConnect. More...
- struct NetServicesProfileV1
    Profile entries version 1. More...
- struct NetServicesProfileOrder
    Priority order to smart connect. More...

## Defines

- #define ShlLibName "NetServLib"
- #define ShlCreatorID 'NETs'
- #define ShlLibType 'libr'
- #define kNetDriverDateLength 16
- #define kNetFWNameLength 16
- #define kNetSerialNumberLength 16
- #define MAX_ACTIVE_PROFILES 32
- #define END_OF_LIST 0xFFFF
- #define PRIORITY_LIST_SIZE (sizeof(UInt16) * (MAX_ACTIVE_PROFILES + 1))
- #define INVALID_INDEX 0xFFFF

Function Trap Numbers

- #define NetServicesLibTrapGetHWAddr (sysLibTrapCustom+0)
- #define NetServicesLibTrapStartScan (sysLibTrapCustom+1)
- #define NetServicesLibTrapGetScanResults (sysLibTrapCustom+2)
- #define NetServicesLibTrapGetChannel (sysLibTrapCustom+3)
- #define NetServicesLibTrapGetPowerState (sysLibTrapCustom+4)
- #define NetServicesLibTrapGetCommsQuality (sysLibTrapCustom+5)
- #define NetServicesLibTrapSetRadioState (sysLibTrapCustom+6)
- #define NetServicesLibTrapGetRadioState (sysLibTrapCustom+7)
- #define NetServicesLibTrapGetDeviceInfo (sysLibTrapCustom+10)
- #define NetServicesLibTrapGetChannelList (sysLibTrapCustom+11)
- #define NetServicesLibTrapProfileGetInfo (sysLibTrapCustom+0x10)
- #define NetServicesLibTrapProfileRead (sysLibTrapCustom+0x11)
- #define NetServicesLibTrapProfileWrite (sysLibTrapCustom+0x12)
- #define NetServicesLibTrapProfileAdd (sysLibTrapCustom+0x13)
- #define NetServicesLibTrapProfileDelete (sysLibTrapCustom+0x14)
- #define NetServicesLibTrapProfileSetOrder (sysLibTrapCustom+0x15)
- #define NetServicesLibTrapProfileGetOrder (sysLibTrapCustom+0x16)
- #define NetServicesLibTrapProfileFind (sysLibTrapCustom+0x17)

## Typedefs

- typedef Net80211DeviceInfo * Net80211DeviceInfoP
    Device information concerning Hardware and Firmware information for the "adapter".
- typedef NetServicesProfileInfo * NetServicesProfileInfoP
    Data returned from NetServicesProfileGetInfo.
- typedef NetServicesProfile * NetServicesProfileP
    Profile entries for SmartConnect.
- typedef NetServicesProfileV1 * NetServicesProfileV1P
    Profile entries version 1.
- typedef NetServicesProfileOrder * NetServicesProfileOrderP
    Priority order to smart connect.

## Functions

- Err NetServicesGetHWAddr (UInt16 refnum, UInt8 *hwAddrP)
- Err NetServicesStartScan (UInt16 refnum)
- Err NetServicesGetScanResults (UInt16 refnum, UInt8 *scanResultsP, UInt32 *scanBufSizeP)
- Err NetServicesGetChannel (UInt16 refnum, UInt16 *channelP)
- Err NetServicesGetPowerState (UInt16 refnum, UInt16 *modeP)
- Err NetServicesGetCommsQuality (UInt16 refNum, UInt8 *strengthP, UInt8 *qualityP)
- Err NetServicesSetRadioState (UInt16 refNum, UInt32 enable)
- Err NetServicesGetRadioState (UInt16 libRef, UInt32 *radioStateP)
- Err NetServicesGetDeviceInfo (UInt16 refNum, Net80211DeviceInfoP storageP)
- Err NetServicesGetChannelList (UInt16 refNum, UInt16 *channelP)
- Err NetServicesProfileGetInfo (UInt16 libRef, NetServicesProfileInfoP infoP)
- Err NetServicesProfileRead (UInt16 libRef, UInt16 profIndex, NetServicesProfileP profileP)
- Err NetServicesProfileWrite (UInt16 libRef, UInt16 profIndex, NetServicesProfileP profileP)
- Err NetServicesProfileDelete (UInt16 libRef, UInt16 profIndex)
- Err NetServicesProfileAdd (UInt16 libRef, NetServicesProfileP profileP)
- Err NetServicesProfileSetOrder (UInt16 libRef, NetServicesProfileOrderP orderP)
- Err NetServicesProfileGetOrder (UInt16 libRef, NetServicesProfileOrderP orderP)
- UInt16 NetServicesProfileFind (UInt16 libRef, Char *profNameP)

## Define Documentation

#define END_OF_LIST 0xFFFF

End of list marker.

Definition at line 164 of file PalmNetServices.h.

#define INVALID_INDEX 0xFFFF

Invalid index tag.

Definition at line 166 of file PalmNetServices.h.

#define kNetDriverDateLength 16

Length for the driver date info string.

Definition at line 76 of file PalmNetServices.h.

#define kNetFWNameLength 16

Length for the firmware name info string.

Definition at line 77 of file PalmNetServices.h.

#define kNetSerialNumberLength 16

Length for the serial number info string.

Definition at line 78 of file PalmNetServices.h.

#define MAX_ACTIVE_PROFILES 32

Maximum number of profiles.

Definition at line 163 of file PalmNetServices.h.

#define NetServicesLibTrapGetChannel (sysLibTrapCustom+3)

Definition at line 42 of file PalmNetServices.h.

#define NetServicesLibTrapGetChannelList (sysLibTrapCustom+11)

Definition at line 48 of file PalmNetServices.h.

#define NetServicesLibTrapGetCommsQuality (sysLibTrapCustom+5)

Definition at line 44 of file PalmNetServices.h.

#define NetServicesLibTrapGetDeviceInfo (sysLibTrapCustom+10)

Definition at line 47 of file PalmNetServices.h.

#define NetServicesLibTrapGetHWAddr (sysLibTrapCustom+0)

Definition at line 39 of file PalmNetServices.h.

#define NetServicesLibTrapGetPowerState (sysLibTrapCustom+4)

Definition at line 43 of file PalmNetServices.h.

#define NetServicesLibTrapGetRadioState (sysLibTrapCustom+7)

Definition at line 46 of file PalmNetServices.h.

#define NetServicesLibTrapGetScanResults (sysLibTrapCustom+2)

Definition at line 41 of file PalmNetServices.h.

#define NetServicesLibTrapProfileAdd (sysLibTrapCustom+0x13)

Definition at line 53 of file PalmNetServices.h.

#define NetServicesLibTrapProfileDelete (sysLibTrapCustom+0x14)

Definition at line 54 of file PalmNetServices.h.

#define NetServicesLibTrapProfileFind (sysLibTrapCustom+0x17)

Definition at line 57 of file PalmNetServices.h.

#define NetServicesLibTrapProfileGetInfo (sysLibTrapCustom+0x10)

Definition at line 50 of file PalmNetServices.h.

#define NetServicesLibTrapProfileGetOrder (sysLibTrapCustom+0x16)

Definition at line 56 of file PalmNetServices.h.

#define NetServicesLibTrapProfileRead (sysLibTrapCustom+0x11)

Definition at line 51 of file PalmNetServices.h.

#define NetServicesLibTrapProfileSetOrder (sysLibTrapCustom+0x15)

Definition at line 55 of file PalmNetServices.h.

#define NetServicesLibTrapProfileWrite (sysLibTrapCustom+0x12)

Definition at line 52 of file PalmNetServices.h.

#define NetServicesLibTrapSetRadioState (sysLibTrapCustom+6)

Definition at line 45 of file PalmNetServices.h.

#define NetServicesLibTrapStartScan (sysLibTrapCustom+1)

Definition at line 40 of file PalmNetServices.h.

#define PRIORITY_LIST_SIZE (sizeof(UInt16) * (MAX_ACTIVE_PROFILES + 1))

Priority list size.

Definition at line 165 of file PalmNetServices.h.

#define ShlCreatorID 'NETs'

PalmNetServices creator ID.

Definition at line 67 of file PalmNetServices.h.

#define ShlLibName "NetServLib"

PalmNetServices library name.

Definition at line 66 of file PalmNetServices.h.

#define ShlLibType 'libr'

PalmNetServices library type.

Definition at line 68 of file PalmNetServices.h.

## Typedef Documentation

typedef struct Net80211DeviceInfo * Net80211DeviceInfoP

Device information concerning Hardware and Firmware information for the "adapter".

Revision information and product name data is returned.

typedef struct NetServicesProfileInfo * NetServicesProfileInfoP

Data returned from NetServicesProfileGetInfo.

typedef struct NetServicesProfileOrder * NetServicesProfileOrderP

Priority order to smart connect.

Provided for ease of reference.

typedef struct NetServicesProfile * NetServicesProfileP

Profile entries for SmartConnect.

typedef struct NetServicesProfileV1 * NetServicesProfileV1P

Profile entries version 1.

## Function Documentation

Err NetServicesGetChannel | ( | UInt16 | refnum,
|  | UInt16 * | channelP |
| ) |  |  |

Err NetServicesGetChannelList | ( | UInt16 | refNum,
|  | UInt16 * | channelP |
| ) |  |  |

Err NetServicesGetCommsQuality | ( | UInt16 | refNum,
|  | UInt8 * | strengthP,
|  | UInt8 * | qualityP |
| ) |  |  |

Err NetServicesGetDeviceInfo | ( | UInt16 | refNum,
|  | Net80211DeviceInfoP | storageP |
| ) |  |  |

Err NetServicesGetHWAddr | ( | UInt16 | refnum,
|  | UInt8 * | hwAddrP |
| ) |  |  |

Err NetServicesGetPowerState | ( | UInt16 | refnum,
|  | UInt16 * | modeP |
| ) |  |  |

Err NetServicesGetRadioState | ( | UInt16 | libRef,
|  | UInt32 * | radioStateP |
| ) |  |  |

Err NetServicesGetScanResults | ( | UInt16 | refnum,
|  | UInt8 * | scanResultsP,
|  | UInt32 * | scanBufSizeP |
| ) |  |  |

Err NetServicesProfileAdd | ( | UInt16 | libRef,
|  | NetServicesProfileP | profileP |
| ) |  |  |

Err NetServicesProfileDelete | ( | UInt16 | libRef,
|  | UInt16 | profIndex |
| ) |  |  |

UInt16 NetServicesProfileFind | ( | UInt16 | libRef,
|  | Char * | profNameP |
| ) |  |  |

Err NetServicesProfileGetInfo | ( | UInt16 | libRef,
|  | NetServicesProfileInfoP | infoP |
| ) |  |  |

Err NetServicesProfileGetOrder | ( | UInt16 | libRef,
|  | NetServicesProfileOrderP | orderP |
| ) |  |  |

Err NetServicesProfileRead | ( | UInt16 | libRef,
|  | UInt16 | profIndex,
|  | NetServicesProfileP | profileP |
| ) |  |  |

Err NetServicesProfileSetOrder | ( | UInt16 | libRef,
|  | NetServicesProfileOrderP | orderP |
| ) |  |  |

Err NetServicesProfileWrite | ( | UInt16 | libRef,
|  | UInt16 | profIndex,
|  | NetServicesProfileP | profileP |
| ) |  |  |

Err NetServicesSetRadioState | ( | UInt16 | refNum,
|  | UInt32 | enable |
| ) |  |  |

Err NetServicesStartScan | ( | UInt16 | refnum | ) |

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:44 2008 for Palm API Guide